%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary: Private tickets plugin for Trac
Name: trac-privatetickets-plugin
# Seen in setup.py
Version: 2.0.2
Release: 1%{?dist}
Group: Applications/Internet
License: BSD
URL: http://trac-hacks.org/wiki/PrivateTicketsPlugin
# Get : http://trac-hacks.org/changeset/latest/privateticketsplugin/0.11?old_path=/&filename=privateticketsplugin&format=zip
# ...rename to the name below.
Source0: privateticketsplugin.zip
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Requires: python-setuptools
Requires: trac >= 0.11

# Must have setuptools to build the package
# The build portions moved to a subpackage in F-8
%if 0%{?fedora} >= 8
BuildRequires: python-setuptools-devel
%else
BuildRequires: python-setuptools
%endif

BuildArch: noarch
BuildRequires: python-devel

%description
This Trac plugin provides support for Private tickets.


%prep
%setup -q -n privateticketsplugin
# Some files have mode 000 :-/
find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;


%build
cd 0.11
%{__python} setup.py build


%install
cd 0.11
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc 0.11/README
%{python_sitelib}/*


%changelog
* Mon Jan 18 2010 Matthias Saou <http://freshrpms.net/> 2.0.2-1
- Initial RPM release.

